creative

Events Tracking

For video creatives, it is often a requirement to fire a pixel on video complete or another action within the video playback. The events field of the Creative object allows you to define up to 10 events, each based around a specific VAST-defined reporting metric.

An example of proper formatting for the events field:

"events":[
  {"play":"https://my.server/event?id=play"},
  {"pause":"https://my.server/event?id=pause"}
]

The events field should be empty for banner (non-video) creatives.

Body Params
int32
required

Must belong to the same account as the Advertiser and be active

string
required

Name of the Creative, e.g. "Blue Banner Ad"

int32
required
Defaults to 0

The type of creative. 0=banner, 1=video, 2=native

int32

Width in pixels. Use the creative_sizes view to see all acceptable width and height combinations.

int32

Height in pixels. Use the creative_sizes view to see all acceptable width and height combinations.

boolean
Defaults to false

Is the creative sizeless, meaning it can match any size placement that is an interstitial. Native creatives should also be marked as sizeless.

boolean
required
Defaults to false

Is the creative intended to serve in a secure (HTTPS) environment.

string
Defaults to 0

URL the ad should click or tap to, must be a valid URL. This field is required when using a Creative Template that is not a tag (e.g. an image or video)

creative_assets
array of int32s

DEPRECATED, use primary_asset and secondary_asset fields instead.

creative_assets
int32

ID of the creative_asset to use in the Creative, for example the ID of an Image or Video.

int32

ID of a secondary creative_asset to use in the Creative. Most commonly used for the companion asset within a Video Creative

int32

For Native creatives, the NativeOffer to be used for the Creative content

string

For tag creatives the tag can be placed in this field and on save the creative_rule_key will be applied to insert relevant macros. This is recommended vs completing the creative_content field directly.

int32
required

The ID of the Creative Template to use for this creative. Must be a valid and active Creative Template that either belongs to this Account, OR is marked as "global".

int32

DEPRECATED

string
Defaults to none

The key corresponding to the creative_rule to apply to the creative_content_tag field. The rule will insert click and timestamp macros. You can use auto_detect for easiest implementation.

creative_attributes
object

Creative Attributes JSON.

scripts
array of strings

List of URLs to be added to the Creative as scripts

scripts
pixels
array of strings

List of URLs to be added to the Creative as pixels

pixels
events
object

List of VAST tracking events and associated URLs to allow third party tracking of video events

progress_events
object

List of objects to track VAST video progress

creative_addons
array of int32s

List of CreativeAddOn IDs to add to the Creative

creative_addons
string

URL to an image thumbnail for the creative. This field will be automatically set if you associate the creative with a Creative Asset that has a valid thumbnail but must be updated manually when using a tag-based Creative. Thumbnail is required by some exchanges to serve.

date

Start date for the creative, optional

date

End date for the creative, optional

string

An alternative id to lookup the Creative, if desired

string

Notes about the Creative, up to 255 chars

boolean
Defaults to false

Is the Creative active?

Response

Language
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json